#!/bin/bash

#------------------------------------------------------------------------#
# Copyright 2021, Jesse Gardner                                          #
#------------------------------------------------------------------------#
# This file is part of qq2clone.                                         #
#                                                                        #
# qq2clone is free software: you can redistribute it and/or modify       #
# it under the terms of the GNU General Public License as published by   #
# the Free Software Foundation, either version 2 of the License, or      #
# (at your option) any later version.                                    #
#                                                                        #
# qq2clone is distributed in the hope that it will be useful,            #
# but WITHOUT ANY WARRANTY; without even the implied warranty of         #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          #
# GNU General Public License for more details.                           #
#                                                                        #
# You should have received a copy of the GNU General Public License      #
# along with qq2clone.  If not, see <https://www.gnu.org/licenses/>.     #
#------------------------------------------------------------------------#

# This script generated automatically by gen_installer.bash

archive='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'

#------------------------------------------------------------------------#
# Copyright 2021, Jesse Gardner                                          #
#------------------------------------------------------------------------#
# This file is part of qq2clone.                                         #
#                                                                        #
# qq2clone is free software: you can redistribute it and/or modify       #
# it under the terms of the GNU General Public License as published by   #
# the Free Software Foundation, either version 2 of the License, or      #
# (at your option) any later version.                                    #
#                                                                        #
# qq2clone is distributed in the hope that it will be useful,            #
# but WITHOUT ANY WARRANTY; without even the implied warranty of         #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          #
# GNU General Public License for more details.                           #
#                                                                        #
# You should have received a copy of the GNU General Public License      #
# along with qq2clone.  If not, see <https://www.gnu.org/licenses/>.     #
#------------------------------------------------------------------------#

# Tail end of the installer script, following the tar archive

[[ -z "$HOME" ]] &&
  { echo '$HOME must be defined'; exit 1; }

temp_dir="$(mktemp -d)" ||
  { echo "Failed to create temp directory"; exit 1; }
trap "rm -rf \"${temp_dir:?}\" &>/dev/null" EXIT

{
  cd "$temp_dir" &&
  echo "$archive" | base64 -d > archive.tgz &&
  tar -xzf archive.tgz &&
  rm archive.tgz
} || { echo "Problem unpacking data to $temp_dir"; exit 1; }

declare input="" location="${HOME}/storage-qq2clone"
while [[ ! "$input" =~ ^(y|n|Y|N)$ ]]; do
  echo "[y/n] Use default storage directory '$location' ?"
  read -rn1 input; echo
done

while [[ ! "$input" =~ (y|Y) ]]; do
  echo "Type in new location"
  read -r location; input=""
  while [[ ! "$input" =~ ^(y|n|Y|N)$ ]]; do
    echo "[y/n] Accept location '$location' ?"
    read -rn 1 input; echo
  done
done
echo

{
  mkdir -p "${HOME}/.config" &&
  echo "$location" > "${HOME}/.config/qq2clone"
} || { echo "Failed to write to ${HOME}/.config/qq2clone"; exit 1; }

{
  mkdir -p "$location" &&
  find -mindepth 1 -exec mv \{\} "$location"/\{\} \;
} || { echo "Cannot create/write to '$location'"; exit 1; }

if { command -v sudo &>/dev/null || [[ "$USER" == "root" ]]; }; then

  input=""
  qq_moved=0
  while : ; do
    while [[ ! "$input" =~ ^(y|n|Y|N)$ ]]; do
      echo "[y/n] Move main script file to /usr/bin/qq2clone ?"
      read -rn 1 input; echo
    done
    if [[ "$input" =~ ^(y|Y)$ ]]; then
      success=1
      if [[ "$USER" == "root" ]]; then
        mv "${location}/qq2clone" /usr/bin/qq2clone || success=0
      else
        sudo mv "${location}/qq2clone" /usr/bin/qq2clone || success=0
      fi
      ((success)) && { echo "File moved"; qq_moved=1; break; }
      echo "Attempt failed."; input=""; continue
    else
      echo "You have chosen to leave the main script file at:"
      echo "  ${location}/qq2clone"
      break
    fi
  done
  echo

  input=""
  while : ; do
    while [[ ! "$input" =~ ^(y|n|Y|N)$ ]]; do
      echo "[y/n] Move man page to /usr/local/man/man1/qq2clone.1 ?"
      read -rn 1 input; echo
    done
    if [[ "$input" =~ ^(y|Y)$ ]]; then
      success=1
      if [[ "$USER" == "root" ]]; then
        {
          mkdir -p /usr/local/man/man1 &&
          mv "${location}/qq2clone.1" /usr/local/man/man1/qq2clone.1
        } ||
          success=0
      else
        {
          sudo mkdir -p /usr/local/man/man1 &&
          sudo mv "${location}/qq2clone.1" /usr/local/man/man1/qq2clone.1
        } ||
          success=0
      fi
      ((success)) && { echo "File moved"; break; }
      echo "Attempt failed."; input=""; continue
    else
      echo "You have chosen to leave the man page at:"
      echo "  ${location}/qq2clone.1"
      break
    fi
  done

else
  echo "sudo is not installed on this system, so script and man page files"
  echo "will not be moved to /usr/bin/ and /usr/local/man"
  echo "  [Main script] ${location}/qq2clone"
  echo "  [Man page]    ${location}/qq2clone.1"
  echo "Manually move these files to desired location on this system"
fi
echo

input=""
while [[ ! "$input" =~ ^(y|n|Y|N)$ ]]; do
  echo "[y/n] qq2clone has a bash completion script. Modify ~/.bashrc to"
  echo "      source the completion script?"
  read -rn 1 input; echo
done

if [[ "$input" =~ ^(y|Y)$ ]]; then
  if echo "source ${location}/qq2clone_completion.bash" >> \
       "${HOME}/.bashrc"; then
    echo ".bashrc modified."
  else
    echo "Failed to write to ${HOME}/.bashrc . Completion script is"
    echo "available at:"
    echo "  ${location}/qq2clone_completion.bash"
  fi
else
  echo "Completion script is available at:"
  echo "  ${location}/qq2clone_completion.bash"
fi
echo

if ((qq_moved)); then
  /usr/bin/qq2clone setup
else
  "${location}/qq2clone" setup
fi
setup_code=$?

if ((setup_code != 0)); then
  echo "Setup failed. Resolve problem(s) described, then manually run"
  echo "the setup again using: qq2clone setup"
fi

exit $setup_code
